#!/bin/bash

#------------------------------------------------------------------------#
# Copyright 2021, Jesse Gardner                                          #
#------------------------------------------------------------------------#
# This file is part of qq2clone.                                         #
#                                                                        #
# qq2clone is free software: you can redistribute it and/or modify       #
# it under the terms of the GNU General Public License as published by   #
# the Free Software Foundation, either version 2 of the License, or      #
# (at your option) any later version.                                    #
#                                                                        #
# qq2clone is distributed in the hope that it will be useful,            #
# but WITHOUT ANY WARRANTY; without even the implied warranty of         #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          #
# GNU General Public License for more details.                           #
#                                                                        #
# You should have received a copy of the GNU General Public License      #
# along with qq2clone.  If not, see <https://www.gnu.org/licenses/>.     #
#------------------------------------------------------------------------#

# This script generated automatically by gen_installer.bash

archive='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'

#------------------------------------------------------------------------#
# Copyright 2021, Jesse Gardner                                          #
#------------------------------------------------------------------------#
# This file is part of qq2clone.                                         #
#                                                                        #
# qq2clone is free software: you can redistribute it and/or modify       #
# it under the terms of the GNU General Public License as published by   #
# the Free Software Foundation, either version 2 of the License, or      #
# (at your option) any later version.                                    #
#                                                                        #
# qq2clone is distributed in the hope that it will be useful,            #
# but WITHOUT ANY WARRANTY; without even the implied warranty of         #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          #
# GNU General Public License for more details.                           #
#                                                                        #
# You should have received a copy of the GNU General Public License      #
# along with qq2clone.  If not, see <https://www.gnu.org/licenses/>.     #
#------------------------------------------------------------------------#

# Tail end of the installer script, following the tar archive

[[ -z "$HOME" ]] &&
  { echo '$HOME must be defined'; exit 1; }

temp_dir="$(mktemp -d)" ||
  { echo "Failed to create temp directory"; exit 1; }
trap "rm -rf \"${temp_dir:?}\" &>/dev/null" EXIT

{
  cd "$temp_dir" &&
  echo "$archive" | base64 -d > archive.tgz &&
  tar -xzf archive.tgz &&
  rm archive.tgz
} || { echo "Problem unpacking data to $temp_dir"; exit 1; }

declare input="" location="${HOME}/storage-qq2clone"
while [[ ! "$input" =~ ^(y|n|Y|N)$ ]]; do
  echo "[y/n] Use default storage directory '$location' ?"
  read -rn1 input; echo
done

while [[ ! "$input" =~ (y|Y) ]]; do
  echo "Type in new location"
  read -r location; input=""
  while [[ ! "$input" =~ ^(y|n|Y|N)$ ]]; do
    echo "[y/n] Accept location '$location' ?"
    read -rn 1 input; echo
  done
done
echo

{
  mkdir -p "${HOME}/.config" &&
  echo "$location" > "${HOME}/.config/qq2clone"
} || { echo "Failed to write to ${HOME}/.config/qq2clone"; exit 1; }

{
  mkdir -p "$location" &&
  find -mindepth 1 -exec mv \{\} "$location"/\{\} \;
} || { echo "Cannot create/write to '$location'"; exit 1; }

if { command -v sudo &>/dev/null || [[ "$USER" == "root" ]]; }; then

  input=""
  qq_moved=0
  while : ; do
    while [[ ! "$input" =~ ^(y|n|Y|N)$ ]]; do
      echo "[y/n] Move main script file to /usr/bin/qq2clone ?"
      read -rn 1 input; echo
    done
    if [[ "$input" =~ ^(y|Y)$ ]]; then
      success=1
      if [[ "$USER" == "root" ]]; then
        mv "${location}/qq2clone" /usr/bin/qq2clone || success=0
      else
        sudo mv "${location}/qq2clone" /usr/bin/qq2clone || success=0
      fi
      ((success)) && { echo "File moved"; qq_moved=1; break; }
      echo "Attempt failed."; input=""; continue
    else
      echo "You have chosen to leave the main script file at:"
      echo "  ${location}/qq2clone"
      break
    fi
  done
  echo

  input=""
  while : ; do
    while [[ ! "$input" =~ ^(y|n|Y|N)$ ]]; do
      echo "[y/n] Move man page to /usr/local/man/man1/qq2clone.1 ?"
      read -rn 1 input; echo
    done
    if [[ "$input" =~ ^(y|Y)$ ]]; then
      success=1
      if [[ "$USER" == "root" ]]; then
        {
          mkdir -p /usr/local/man/man1 &&
          mv "${location}/qq2clone.1" /usr/local/man/man1/qq2clone.1
        } ||
          success=0
      else
        {
          sudo mkdir -p /usr/local/man/man1 &&
          sudo mv "${location}/qq2clone.1" /usr/local/man/man1/qq2clone.1
        } ||
          success=0
      fi
      ((success)) && { echo "File moved"; break; }
      echo "Attempt failed."; input=""; continue
    else
      echo "You have chosen to leave the man page at:"
      echo "  ${location}/qq2clone.1"
      break
    fi
  done

else
  echo "sudo is not installed on this system, so script and man page files"
  echo "will not be moved to /usr/bin/ and /usr/local/man"
  echo "  [Main script] ${location}/qq2clone"
  echo "  [Man page]    ${location}/qq2clone.1"
  echo "Manually move these files to desired location on this system"
fi
echo

input=""
while [[ ! "$input" =~ ^(y|n|Y|N)$ ]]; do
  echo "[y/n] qq2clone has a bash completion script. Modify ~/.bashrc to"
  echo "      source the completion script?"
  read -rn 1 input; echo
done

if [[ "$input" =~ ^(y|Y)$ ]]; then
  if echo "source ${location}/qq2clone_completion.bash" >> \
       "${HOME}/.bashrc"; then
    echo ".bashrc modified."
  else
    echo "Failed to write to ${HOME}/.bashrc . Completion script is"
    echo "available at:"
    echo "  ${location}/qq2clone_completion.bash"
  fi
else
  echo "Completion script is available at:"
  echo "  ${location}/qq2clone_completion.bash"
fi
echo

if ((qq_moved)); then
  /usr/bin/qq2clone setup
else
  "${location}/qq2clone" setup
fi
setup_code=$?

if ((setup_code != 0)); then
  echo "Setup failed. Resolve problem(s) described, then manually run"
  echo "the setup again using: qq2clone setup"
fi

exit $setup_code
